#!/bin/bash

#------------------------------------------------------------------------#
# Copyright 2021, Jesse Gardner                                          #
#------------------------------------------------------------------------#
# This file is part of qq2clone.                                         #
#                                                                        #
# qq2clone is free software: you can redistribute it and/or modify       #
# it under the terms of the GNU General Public License as published by   #
# the Free Software Foundation, either version 2 of the License, or      #
# (at your option) any later version.                                    #
#                                                                        #
# qq2clone is distributed in the hope that it will be useful,            #
# but WITHOUT ANY WARRANTY; without even the implied warranty of         #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          #
# GNU General Public License for more details.                           #
#                                                                        #
# You should have received a copy of the GNU General Public License      #
# along with qq2clone.  If not, see <https://www.gnu.org/licenses/>.     #
#------------------------------------------------------------------------#

# This script generated automatically by gen_installer.bash

archive='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'

#------------------------------------------------------------------------#
# Copyright 2021, Jesse Gardner                                          #
#------------------------------------------------------------------------#
# This file is part of qq2clone.                                         #
#                                                                        #
# qq2clone is free software: you can redistribute it and/or modify       #
# it under the terms of the GNU General Public License as published by   #
# the Free Software Foundation, either version 2 of the License, or      #
# (at your option) any later version.                                    #
#                                                                        #
# qq2clone is distributed in the hope that it will be useful,            #
# but WITHOUT ANY WARRANTY; without even the implied warranty of         #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          #
# GNU General Public License for more details.                           #
#                                                                        #
# You should have received a copy of the GNU General Public License      #
# along with qq2clone.  If not, see <https://www.gnu.org/licenses/>.     #
#------------------------------------------------------------------------#

# Tail end of the installer script, following the tar archive

[[ -z "$HOME" ]] &&
  { echo '$HOME must be defined'; exit 1; }

temp_dir="$(mktemp -d)" ||
  { echo "Failed to create temp directory"; exit 1; }
trap "rm -rf \"${temp_dir:?}\" &>/dev/null" EXIT

{
  cd "$temp_dir" &&
  echo "$archive" | base64 -d > archive.tgz &&
  tar -xzf archive.tgz &&
  rm archive.tgz
} || { echo "Problem unpacking data to $temp_dir"; exit 1; }

declare input="" location="${HOME}/storage-qq2clone"
while [[ ! "$input" =~ ^(y|n|Y|N)$ ]]; do
  echo "[y/n] Use default storage directory '$location' ?"
  read -rn1 input; echo
done

while [[ ! "$input" =~ (y|Y) ]]; do
  echo "Type in new location"
  read -r location; input=""
  while [[ ! "$input" =~ ^(y|n|Y|N)$ ]]; do
    echo "[y/n] Accept location '$location' ?"
    read -rn 1 input; echo
  done
done
echo

{
  mkdir -p "${HOME}/.config" &&
  echo "$location" > "${HOME}/.config/qq2clone"
} || { echo "Failed to write to ${HOME}/.config/qq2clone"; exit 1; }

{
  mkdir -p "$location" &&
  find -mindepth 1 -exec mv \{\} "$location"/\{\} \;
} || { echo "Cannot create/write to '$location'"; exit 1; }

if { command -v sudo &>/dev/null || [[ "$USER" == "root" ]]; }; then

  input=""
  qq_moved=0
  while : ; do
    while [[ ! "$input" =~ ^(y|n|Y|N)$ ]]; do
      echo "[y/n] Move main script file to /usr/bin/qq2clone ?"
      read -rn 1 input; echo
    done
    if [[ "$input" =~ ^(y|Y)$ ]]; then
      success=1
      if [[ "$USER" == "root" ]]; then
        mv "${location}/qq2clone" /usr/bin/qq2clone || success=0
      else
        sudo mv "${location}/qq2clone" /usr/bin/qq2clone || success=0
      fi
      ((success)) && { echo "File moved"; qq_moved=1; break; }
      echo "Attempt failed."; input=""; continue
    else
      echo "You have chosen to leave the main script file at:"
      echo "  ${location}/qq2clone"
      break
    fi
  done
  echo

  input=""
  while : ; do
    while [[ ! "$input" =~ ^(y|n|Y|N)$ ]]; do
      echo "[y/n] Move man page to /usr/local/man/man1/qq2clone.1 ?"
      read -rn 1 input; echo
    done
    if [[ "$input" =~ ^(y|Y)$ ]]; then
      success=1
      if [[ "$USER" == "root" ]]; then
        {
          mkdir -p /usr/local/man/man1 &&
          mv "${location}/qq2clone.1" /usr/local/man/man1/qq2clone.1
        } ||
          success=0
      else
        {
          sudo mkdir -p /usr/local/man/man1 &&
          sudo mv "${location}/qq2clone.1" /usr/local/man/man1/qq2clone.1
        } ||
          success=0
      fi
      ((success)) && { echo "File moved"; break; }
      echo "Attempt failed."; input=""; continue
    else
      echo "You have chosen to leave the man page at:"
      echo "  ${location}/qq2clone.1"
      break
    fi
  done

else
  echo "sudo is not installed on this system, so script and man page files"
  echo "will not be moved to /usr/bin/ and /usr/local/man"
  echo "  [Main script] ${location}/qq2clone"
  echo "  [Man page]    ${location}/qq2clone.1"
  echo "Manually move these files to desired location on this system"
fi
echo

input=""
while [[ ! "$input" =~ ^(y|n|Y|N)$ ]]; do
  echo "[y/n] qq2clone has a bash completion script. Modify ~/.bashrc to"
  echo "      source the completion script?"
  read -rn 1 input; echo
done

if [[ "$input" =~ ^(y|Y)$ ]]; then
  if echo "source ${location}/qq2clone_completion.bash" >> \
       "${HOME}/.bashrc"; then
    echo ".bashrc modified."
  else
    echo "Failed to write to ${HOME}/.bashrc . Completion script is"
    echo "available at:"
    echo "  ${location}/qq2clone_completion.bash"
  fi
else
  echo "Completion script is available at:"
  echo "  ${location}/qq2clone_completion.bash"
fi
echo

if ((qq_moved)); then
  /usr/bin/qq2clone setup
else
  "${location}/qq2clone" setup
fi
setup_code=$?

if ((setup_code != 0)); then
  echo "Setup failed. Resolve problem(s) described, then manually run"
  echo "the setup again using: qq2clone setup"
fi

exit $setup_code
